Bug 7299 - ILSDI HoldItem service does't set the itemnumber in reserves table
Summary: ILSDI HoldItem service does't set the itemnumber in reserves table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.8
Hardware: All All
: P3 normal (vote)
Assignee: Alex Arnaud
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-02 09:49 UTC by Alex Arnaud
Modified: 2013-12-05 19:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.06 KB, patch)
2011-12-02 09:54 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 7299 passe itemnumber in ILSDI holditem service (1.65 KB, patch)
2012-06-09 10:37 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 7299 pass itemnumber in ILSDI holditem service (1.70 KB, patch)
2012-06-24 07:15 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2011-12-02 09:49:08 UTC
The itemnumber is not passed in AddReserve function because parameters are not used correctly in C4/ILSDI.Services.pm.

We have:
$branch, $borrowernumber, $biblionumber, $constraint, $bibitems,  $priority, $notes, $title, $checkitem,  $found

Instead of:
$branch,$borrowernumber,$biblionumber,$constraint,$bibitems,$priority,$resdate,$expdate,$notes,$title,$checkitem,$found

Probably because function Addreserve has changed.
Comment 1 Alex Arnaud 2011-12-02 09:54:14 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-12-11 00:21:27 UTC
Hmmm, this now also passes in the biblionumber as biblioitemnumber ... which may not always be the same thing. Luckily because it is constraint 'a' it isn't used.

But I wonder if we should remove it so it isn't confusing in future?
Comment 3 Alex Arnaud 2012-06-09 10:37:18 UTC Comment hidden (obsolete)
Comment 4 Alex Arnaud 2012-06-09 10:38:57 UTC
This new patch does 2 things:

  - Remove biblioitemnumber
  - Add full namespace for call to CanItemBeReserved function
Comment 5 Chris Cormack 2012-06-24 07:15:18 UTC
Created attachment 10447 [details] [review]
Bug 7299 pass itemnumber in ILSDI holditem service

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 6 Paul Poulain 2012-07-06 16:34:14 UTC
QA comment: I think you could have removed the 
#          $branch, $borrowernumber, $biblionumber, $constraint, $bibitems,  $priority, $notes, $title, $checkitem,  $found
instead of fixing it, but that's not worth failing QA ;-)

Small patch. Also add C4::Reserves:: probably needed because of nested packages.